org.apache.sling.installer.provider.jcr.impl

## Class FileNodeConverter

- java.lang.Object
- - org.apache.sling.installer.provider.jcr.impl.FileNodeConverter

    public class FileNodeConverter
    extends Object

Convert a Node that is a file to an InstallableResource that wraps an InputStream

### Constructor Summary

Constructors
Constructor and Description
`FileNodeConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.installer.api.InstallableResource` `convertNode(javax.jcr.Node n, int priority)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileNodeConverter

    public FileNodeConverter()

### Method Detail

#### convertNode

    public org.apache.sling.installer.api.InstallableResource convertNode(javax.jcr.Node n,
                                                                          int priority)
                                                                   throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`
See Also:
  `JcrInstaller.NodeConverter.convertNode(javax.jcr.Node, int)`